Summary: The core libraries for The Impulse Desktop Environment
Name: impulse_core
Version: 0.1.6
Release: 1
Copyright: ????
Group: Impulse/Libraries
Buildroot: /var/tmp/%{name}-%{version}-root
Source: %{name}-%{version}.tar.gz

%package devel
Summary: Development tools for the core libraries for The Impulse Desktop Environment
Group: Development/Libraries
Requires: %{name}

%description
The Impulse Desktop Environment is an open source project to develop
a user friendly interface for POSIX computer systems.

This package provides the core libraries required by other Impulse
programs.

%description devel
The Impulse Desktop Environment is an open source project to develop
a user friendly interface for POSIX computer systems.

This package provides the development tools required to build programs which
use the core Impulse libraries.

%prep
%setup -q

%build
mkdir obj
ln -s `pwd` obj/.install_link
cd obj
CFLAGS="$RPM_OPT_FLAGS" .install_link/configure --prefix=/usr
make

%install
rm -rf $RPM_BUILD_ROOT
cd obj
make install prefix=$RPM_BUILD_ROOT/usr

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README
%doc INSTALL
%doc COPYING
%doc AUTHORS
%doc ChangeLog
%doc NEWS
%doc TODO
/usr/bin/*
/usr/lib/*.so.*
/usr/lib/impulse/text/*
/usr/lib/impulse/modules/*

%files devel
%defattr(-,root,root)
%doc README
%doc INSTALL
%doc COPYING
%doc AUTHORS
%doc ChangeLog
%doc NEWS
%doc TODO
/usr/include/impulse/util/*.h
/usr/include/impulse/comms/*.h
/usr/include/impulse/rows/*.h
/usr/lib/*.so
/usr/lib/*.a
/usr/lib/*.la
