/*                                                                  |- CFSFC -|
 * The contents of this file are subject to the Mozilla
 * Public License Version 1.0 (the "License"); you may
 * not use this file except in compliance with the
 * License. You may obtain a copy of the License at
 * http://www.mozilla.org/MPL/ 
 *
 * Software distributed under the License is distributed
 * on an "AS IS" basis, WITHOUT WARRANTY OF
 * ANY KIND, either express or implied. See the
 * License for the specific language governing rights
 * and limitations under the License. 
 *
 * The Original Code is Copyright (C) 1998 Andrew Hunter.
 * All Rights Reserved. 
 *
 * The Initial Developer of the Original Code is
 * Andrew Hunter.
 *
 * Contributor(s):
 * No-one (yet :-)
 */

/*
 * colour_test.h
 * -------------
 *
 * A test of the bitmaps
 */

#ifndef __colour_test_h
#define __colour_test_h

#include "impulse/rows/child.h"

/*                            ======--------======                           */

/* Type defintions */

typedef void **colour_test;

/*                            ======--------======                           */

/* Standard widget functions */

extern ROWS_widget  colour_test_create         (ROWS_colour_type);
extern ROWS_widget *colour_test_initialise     (int id,
						ROWS_colour_type col_type);
extern int          colour_test_next_identifier(void);
extern colour_test  colour_test_cast           (void **widget);

/*                            ======--------======                           */


#endif
