/*                                                                |- Impulse -|
 * The contents of this file are subject to the Mozilla
 * Public License Version 1.0 (the "License"); you may
 * not use this file except in compliance with the
 * License. You may obtain a copy of the License at
 * http://www.mozilla.org/MPL/ 
 *
 * Software distributed under the License is distributed
 * on an "AS IS" basis, WITHOUT WARRANTY OF
 * ANY KIND, either express or implied. See the
 * License for the specific language governing rights
 * and limitations under the License. 
 *
 * The Original Code is the Impulse utility library
 * for Impulse. (Part of the ROWS distribution)
 *
 * The Initial Developer of the Original Code is
 * Andrew Hunter. Portions created by Andrew Hunter
 * are Copyright (C) 1999 Andrew Hunter.
 * All Rights Reserved
 *
 * Contributor(s):
 * Portions created by Daniel Berrange
 * are Copyright (C) 1999 Daniel Berrange.
 */

/*
 * overseer.h
 * ----------
 *
 * Debugging system
 */

#ifndef __impulse_util_overseer_h
#define __impulse_util_overseer_h

#ifdef __cplusplus
extern "C" {  
#endif

#define USE_OVERSEER 1

#if USE_OVERSEER
  extern void impulse_overseer_oversee(void);
#else
#define impulse_overseer_oversee()
#endif

#ifdef __cplusplus
}
#endif

#endif
